summaryrefslogtreecommitdiff
path: root/bin/create-build-support-package
diff options
context:
space:
mode:
Diffstat (limited to 'bin/create-build-support-package')
-rwxr-xr-xbin/create-build-support-package6
1 files changed, 3 insertions, 3 deletions
diff --git a/bin/create-build-support-package b/bin/create-build-support-package
index dd8ddc3..fd4d456 100755
--- a/bin/create-build-support-package
+++ b/bin/create-build-support-package
@@ -256,10 +256,10 @@ elif [ -n "${shim_package}" ]; then
exec 8> "${package_database_lock_file}"
verbose_flock ${wait_for_lock} 8
- while intentions_left; do
+ if intentions_left ${wait_for_lock}; then
>&2 echo 'There are still intentions in the queue.'
- sleep 1
- done
+ exit 1
+ fi
original_pkg_id=$(
# shellcheck disable=SC2016